#
## APT
#

include:
  - apt.transport.https
  - apt.unattended-upgrades
  - apt.dependencies

{% if grains['osfinger'] == "Debian-9" %}
/etc/apt/sources.list:
  file.managed:
    - contents: |
        deb https://archive.debian.org/debian stretch main contrib non-free
        deb-src https://archive.debian.org/debian stretch main

        deb https://archive.debian.org/debian-security stretch/updates main contrib non-free
        deb-src https://archive.debian.org/debian-security stretch/updates main

        deb https://archive.debian.org/debian stretch-proposed-updates main contrib non-free
        deb-src https://archive.debian.org/debian stretch-proposed-updates main

stretch-backports:
  pkgrepo.managed:
    - name: deb https://archive.debian.org/debian stretch-backports main contrib non-free
    - file: /etc/apt/sources.list.d/backports.list
    - clean_file: True
{% else %}
stretch-backports:
  pkgrepo.absent
{% endif %}

{% if grains['osfinger'] == "Debian-10" %}
/etc/apt/sources.list:
  file.managed:
    - contents: |
        deb https://deb.debian.org/debian buster main contrib non-free
        deb-src https://deb.debian.org/debian buster main

        deb http://security.debian.org/debian-security buster/updates main contrib non-free
        deb-src http://security.debian.org/debian-security buster/updates main

        deb https://deb.debian.org/debian buster-updates main contrib non-free
        deb-src https://deb.debian.org/debian buster-updates main

        deb https://deb.debian.org/debian buster-proposed-updates main contrib non-free
        deb-src https://deb.debian.org/debian buster-proposed-updates main

buster-backports:
  pkgrepo.managed:
    - name: deb https://deb.debian.org/debian buster-backports main contrib non-free
    - file: /etc/apt/sources.list.d/backports.list
    - clean_file: True
{% else %}
buster-backports:
  pkgrepo.absent
{% endif %}

{% if grains['osmajorrelease'] == 11 %}
/etc/apt/sources.list:
  file.managed:
    - contents: |
        deb https://deb.debian.org/debian bullseye main contrib non-free
        deb-src https://deb.debian.org/debian bullseye main

        deb http://security.debian.org/debian-security bullseye-security/updates main contrib non-free
        deb-src http://security.debian.org/debian-security bullseye-security/updates main

        deb https://deb.debian.org/debian bullseye-updates main contrib non-free
        deb-src https://deb.debian.org/debian bullseye-updates main

        deb https://deb.debian.org/debian bullseye-proposed-updates main contrib non-free
        deb-src https://deb.debian.org/debian bullseye-proposed-updates main

bullseye-backports:
  pkgrepo.managed:
    - name: deb https://deb.debian.org/debian bullseye-backports main contrib non-free
    - file: /etc/apt/sources.list.d/backports.list
    - clean_file: True
{% else %}
bullseye-backports:
  pkgrepo.absent
{% endif %}

{% if grains['osmajorrelease'] == 12 %}
/etc/apt/sources.list:
  file.managed:
    - contents: |
        deb https://deb.debian.org/debian bookworm main contrib non-free non-free-firmware
        deb-src https://deb.debian.org/debian bookworm main

        deb http://security.debian.org/debian-security bookworm-security/updates main contrib non-free non-free-firmware
        deb-src http://security.debian.org/debian-security bookworm-security/updates main

        deb https://deb.debian.org/debian bookworm-updates main contrib non-free non-free-firmware
        deb-src https://deb.debian.org/debian bookworm-updates main

        deb https://deb.debian.org/debian bookworm-proposed-updates main contrib non-free non-free-firmware
        deb-src https://deb.debian.org/debian bookworm-proposed-updates main

bookworm-backports:
  pkgrepo.managed:
    - name: deb https://deb.debian.org/debian bookworm-backports main contrib non-free non-free-firmware
    - file: /etc/apt/sources.list.d/backports.list
    - clean_file: True
{% else %}
bookworm-backports:
  pkgrepo.absent
{% endif %}
