include:
  - apt.transport.https
  - apt.dependencies

saltstack-repo:
  pkgrepo.managed:
    - humanname: repo.saltstack.com
{%- if grains['osfinger'] == 'Debian-9' %}
    - name: deb https://repo.saltproject.io/py3/debian/9/amd64/3004 stretch main
{%- elif grains['osfinger'] == 'Debian-10' %}
    - name: deb https://repo.saltproject.io/py3/debian/10/amd64/3004 buster main
{%- else %}
    - name: deb https://repo.saltproject.io/py3/debian/11/amd64/3004 bullseye main
{%- endif %}
    - file: /etc/apt/sources.list.d/saltstack.list
    - clean_file: True
{%- if grains['osfinger'] == 'Debian-9' %}
    - key_url: https://repo.saltstack.com/py3/debian/9/amd64/latest/SALTSTACK-GPG-KEY.pub
{%- else %}
    - key_url: https://repo.saltstack.com/py3/debian/10/amd64/latest/SALTSTACK-GPG-KEY.pub
{%- endif %}
