include:
  - ferm
  - bird2.exporter
{%- if 'gateway' in salt['pillar.get']('roles', [])  %}
  - bird2.gateway
{%- endif %}

bird:
  pkg.purged: []

/etc/bird/bird6.conf:
  file.absent

/etc/bird/bird6.d:
  file.absent

bird2:
  pkg.installed: []
  service.running:
    - enable: True
    - reload: True
    - watch:
      - file: /etc/bird/bird.conf
      - file: /etc/bird/bird.d/*

/etc/bird/bird.d:
  file.directory:
    - user: root
    - group: root
    - require:
      - pkg: bird2

/etc/bird/bird.conf:
  file.managed:
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - pkg: bird2
      - file: /etc/bird/bird.d
    - contents: |
        include "/etc/bird/bird.d/*.conf";

/etc/bird/bird.d/01-common.conf:
  file.managed:
    - source: salt://bird2/files/common.conf.j2
    - template: jinja
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - pkg: bird2
      - file: /etc/bird/bird.d

/etc/bird/bird.d/900-kernel.conf:
  file.managed:
    - source: salt://bird2/files/kernel.conf.j2
    - template: jinja
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - pkg: bird
      - file: /etc/bird/bird.d

/etc/ferm/conf.d/40-bird.conf:
  file.managed:
    - source: salt://bird2/files/ferm.conf.j2
    - template: jinja
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - file: /etc/ferm/conf.d

