redis:
  pkg.installed:
{%- if grains['osfinger'] == "Debian-9" %}
    - fromrepo: stretch-backports
    - require:
      - pkgrepo: stretch-backports
{%- elif  grains['osfinger'] == "Debian-10" %}
    - fromrepo: buster-backports
    - require:
      - pkgrepo: buster-backports
{%- endif %}
  file.managed:
    - name: /etc/redis/redis.conf
    - source:
      - salt://redis/files/redis.conf.{{ grains.nodename }}.j2
      - salt://redis/files/redis.conf.j2
    - makedirs: True
    - template: jinja
  service.running:
    - name: redis-server
    - enable: True
    - watch:
      - file: redis

include:
  - kernel.overcommit_memory
